---
updatedAt: 2026-09-14T15:59:30.000Z
agentTools:
  projectIndex: https://docs.vopay.com/llms.txt
---

# account/webhook/resend

This endpoint will resend the webhook notification associated with the provided event ID. This is useful if you missed a webhook or if you need to reprocess a webhook.

 The event ID can be fetched using the [GET /account/webhooks endpoint](https://docs.vopay.com/reference/accountwebhooksget).

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "2.0",
    "title": "Integrations and Support",
    "description": "The Integrations and Support API defines endpoints for configuring integrations with  Plaid, Flinks, Inverite, and Global Pay, managing API keys, and handling support tickets. It also  includes endpoints for setting and testing webhook URLs, and fetching webhook notifications for  account and partner accounts.",
    "contact": {
      "name": "API Support",
      "email": "help@vopay.com"
    }
  },
  "paths": {
    "/account/webhook/resend": {
      "post": {
        "description": "This endpoint will resend the webhook notification associated with the provided event ID. This is useful if you missed a webhook or if you need to reprocess a webhook.\n\n The event ID can be fetched using the [GET /account/webhooks endpoint](https://docs.vopay.com/reference/accountwebhooksget).",
        "summary": "account/webhook/resend",
        "tags": [
          "Webhook Endpoints"
        ],
        "operationId": "AccountWebhookResendPost",
        "deprecated": false,
        "requestBody": {
          "content": {
            "application/x-www-form-urlencoded": {
              "schema": {
                "type": "object",
                "properties": {
                  "AccountID": {
                    "description": "Your account ID",
                    "type": "string"
                  },
                  "Key": {
                    "description": "API key for the account",
                    "type": "string"
                  },
                  "Signature": {
                    "description": "Hashed signature for the request",
                    "type": "string"
                  },
                  "EventID": {
                    "description": "The event ID of the webhook notification you wish to resend. This ID can be fetched using the GET /account/webhooks endpoint.",
                    "type": "string"
                  }
                },
                "required": [
                  "AccountID",
                  "Key",
                  "Signature",
                  "EventID"
                ]
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "",
            "headers": {},
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "Success",
                    "ErrorMessage"
                  ],
                  "properties": {
                    "Success": {
                      "type": "boolean",
                      "description": "True if the request was successful, false if it failed",
                      "example": true
                    },
                    "ErrorMessage": {
                      "type": "string",
                      "description": "Contains a description of the error if the request failed",
                      "example": ""
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://earthnode-dev.vopay.com/api/v2"
    }
  ]
}
```